Create a links library item

Base URL
https://{kibana_url}
  • POST /api/links
Auth

Creates a new links library item and returns its ID, full state, and metadata.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

description string
layout enum

Whether to display the links in a horizontal or vertical layout.

Values: horizontal vertical

The list of links to display.

One of:
tags string[] · max items: 1000 · default: []

Tag IDs associated with this library item.

title string required

Responses

created

application/json
data object required
description string
layout enum

Whether to display the links in a horizontal or vertical layout.

Values: horizontal vertical

The list of links to display.

Same options as links
tags string[] · max items: 1000 · default: []

Tag IDs associated with this library item.

title string required
id string required

The unique ID of the links library item, as returned by the create or search endpoints.

meta object required
created_at string

Timestamp when the object was created (ISO 8601).

created_by string

User profile ID of the user who created the object.

managed boolean

When true, the object is managed by Kibana and cannot be edited by users.

owner string

Identifier of the plugin or team that owns this object.

updated_at string

Timestamp when the object was last updated (ISO 8601).

updated_by string

User profile ID of the user who last updated the object.

version string

Internal version identifier for optimistic concurrency control.

400

invalid request

403

forbidden

Base URL
https://{kibana_url}